module Config.Identity exposing (..)


type alias PageInput =
    { pageHome : String
    , pageContact : String
    , pageDebate : String
    , pageDodgers : String
    , pageHyperBlog : String
    , pageInterviews : String
    , pageNutriDex : String
    , pagePlatforms : String
    , pagePropositions : String
    , pageServices : String
    , pageSupport : String
    }


pageNames : PageInput
pageNames =
    { pageHome = "The Nutrivore"
    , pagePlatforms = "Platforms"
    , pageServices = "Services"
    , pageDebate = "Debate"
    , pageDodgers = "Dodgers"
    , pagePropositions = "Propositions"
    , pageHyperBlog = "HyperBlog"
    , pageNutriDex = "NutriDex"
    , pageInterviews = "Interviews"
    , pageContact = "Contact"
    , pageSupport = "Support"
    }


createPageName : String -> String
createPageName pageName =
    pageNames.pageHome ++ " | " ++ pageName


contactName : String
contactName =
    createPageName pageNames.pageContact


debateName : String
debateName =
    createPageName pageNames.pageDebate


dodgersName : String
dodgersName =
    createPageName pageNames.pageDodgers


hyperBlogName : String
hyperBlogName =
    createPageName pageNames.pageHyperBlog


interviewsName : String
interviewsName =
    createPageName pageNames.pageInterviews


nutriDexName : String
nutriDexName =
    createPageName pageNames.pageNutriDex


platformsName : String
platformsName =
    createPageName pageNames.pagePlatforms


propositionsName : String
propositionsName =
    createPageName pageNames.pagePropositions


servicesName : String
servicesName =
    createPageName pageNames.pageServices


supportName : String
supportName =
    createPageName pageNames.pageSupport
